Package org.pushingpixels.substance.internal.utils

# Class ButtonBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.internal.utils.ButtonBackgroundDelegate

public class ButtonBackgroundDelegate extends Object
Delegate class for painting backgrounds of buttons in Substance look and feel. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`ButtonBackgroundDelegate()`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(AbstractButton button, int x, int y)`
Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
`static BufferedImage`
`getFullAlphaBackground(AbstractButton button, ButtonModel model, SubstanceButtonShaper shaper, SubstanceFillPainter fillPainter, SubstanceBorderPainter borderPainter, int width, int height)`
Retrieves the background for the specified button.
`static boolean`
`isRoundButton(AbstractButton button)`
Checks whether the specified button has round corners.
`void`
`updateBackground(Graphics g, AbstractButton button)`
Updates background of the specified button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ButtonBackgroundDelegate

public ButtonBackgroundDelegate()
Simple constructor.

## Method Details

### getFullAlphaBackground

public static BufferedImage getFullAlphaBackground(AbstractButton button, ButtonModel model, SubstanceButtonShaper shaper, SubstanceFillPainter fillPainter, SubstanceBorderPainter borderPainter, int width, int height)
Retrieves the background for the specified button.

Parameters:
  `button` - Button.
  `model` - Button model.
  `shaper` - Button shaper.
  `fillPainter` - Button fill painter.
  `borderPainter` - Button border painter.
  `width` - Button width.
  `height` - Button height.
Returns:
  Button background.

### updateBackground

public void updateBackground(Graphics g, AbstractButton button)
Updates background of the specified button.

Parameters:
  `g` - Graphic context.
  `button` - Button to update.

### isRoundButton

public static boolean isRoundButton(AbstractButton button)
Checks whether the specified button has round corners.

Parameters:
  `button` - Button to check.
Returns:
  `true` if the specified button has round corners, `false` otherwise.

### contains

public static boolean contains(AbstractButton button, int x, int y)
Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component. `x` and `y` are defined to be relative to the coordinate system of the specified component.

Parameters:
  `button` - the component where the x,y location is being queried;
  `x` - the x coordinate of the point
  `y` - the y coordinate of the point
Returns:
  `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component, `false` otherwise.